#include <bits/stdc++.h>

using namespace std;
int main() {
    int n,m;
    scanf("%d%d",&n,&m);
    
    int vaged[200001],vageg[200001];
    for(int i=1;i<=n;i++)
    {
        scanf("%d%d",&vaged[i],&vageg[i]);    
    }
    
    int odgovori[200000]={0};
    int l,r,x;
    for(int i=0;i<m;i++)
    {
        scanf("%d%d%d",&l,&r,&x);
        for(int j=l;j<=r;j++) 
            if(vaged[j]<=x&&x<=vageg[j]) odgovori[i]++;
    }
    for(int i=0;i<m;i++) printf("%d\n",odgovori[i]);

    return 0;
}